# Search Pools by Symbol Pair

### **Description**

Discover all known liquidity pools across all supported chains and DEX protocols for a specific token pair, such as `SOL/USDC`.\
Supports optional filtering by 24h volume or TVL in USD and chainId.

{% hint style="info" %}

* This endpoint only supports on-chain assets.
* Fiat currencies like USD are not present on-chain as standalone assets, so queries using fiat as a quote (e.g., SOL/USD) will return no results.
* To get USD-denominated quotes, see[Get Tickers](/apis/rest-v1/assets/get-tickers.md)
  {% endhint %}

### **URL**

```bash
GET https://pricing.aleno.ai/v1/pools/search?symbol={base}/{quote}
```

### **Headers**

```http
x-api-key: your-api-key
```

### **Query Parameters**

| Name         | Type   | Required | Description                                                                                                                                 |
| ------------ | ------ | -------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| symbol       | string | Yes      | Token pair in the format `BASE/QUOTE` (e.g., `SOL/USDC`). Case-insensitive.                                                                 |
| minVolumeUsd | number | No       | Filters out pools with 24h volume below this USD threshold. Default: `0`.                                                                   |
| minUsdTvl    | number | No       | Filters out pools with TVL below this USD threshold. Default: `0`.                                                                          |
| chainId      | string | No       | Filters results to pools on a specific chain (e.g., `1` for Ethereum, `137` for Polygon). If omitted, pools from all chains are considered. |

### **Response**

Returns an array of real-time [pool state](https://docs.aleno.ai/apis/rest-v1/pools/pages/lip9iO15MXczc0On422A#id-3.-poolstate) objects, each representing a matching pool across chains and protocols.

### **Example Request**

```bash
GET https://pricing.aleno.ai/v1/pools/search?symbol=SOL/USDC&minUsdTvl=100000
```

***

### **Example Response**

```json
{
  "data": [
    {
      "chainId": "solana",
      "address": "8sLbNZoA1cfnvMJLPfp98ZLAnFSYCFApfJKMbiXNLwxj",
      "protocol": "raydium-clmm",
      "usdTvl": 2451669.8364395,
      "h24UsdVolume": 10266629.1308575,
      "tokens": [
        {
          "symbol": "SOL",
          "address": "So11111111111111111111111111111111111111112",
          "decimals": 9,
          "tvl": 17166.280547238,
          "usdTvl": 2247534.07644117,
          "h24Volume": 38436.322725496,
          "h24UsdVolume": 5032362.41892493,
          "priceUsd": 130.92726
        },
        {
          "symbol": "USDC",
          "address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
          "decimals": 6,
          "tvl": 204186.8067,
          "usdTvl": 204135.759998325,
          "h24Volume": 5235575.60583401,
          "h24UsdVolume": 5234266.71193255,
          "priceUsd": 0.99975
        }
      ],
      "pairs": [
        {
          "base": "SOL",
          "quote": "USDC",
          "baseToQuotePrice": 130.950983643172,
          "quoteToBasePrice": 0.00763644511999157,
          "h24UsdVolume": 10266629.1308575
        }
      ]
    },
    {
      "chainId": "solana",
      "address": "2QdhepnKRTLjjSqPL1PtKNwqrUkoLee5Gqs8bvZhRdMv",
      "protocol": "raydium-clmm",
      "usdTvl": 561792.073410444,
      "h24UsdVolume": 720872.896000079,
      "tokens": [
        {
          "symbol": "SOL",
          "address": "So11111111111111111111111111111111111111112",
          "decimals": 9,
          "tvl": 2241.559080991,
          "usdTvl": 293481.18860227,
          "h24Volume": 2695.08477448001,
          "h24UsdVolume": 352860.064990385,
          "priceUsd": 130.92726
        },
        {
          "symbol": "USDC",
          "address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
          "decimals": 6,
          "tvl": 268377.979303,
          "usdTvl": 268310.884808174,
          "h24Volume": 368104.857224,
          "h24UsdVolume": 368012.831009694,
          "priceUsd": 0.99975
        }
      ],
      "pairs": [
        {
          "base": "SOL",
          "quote": "USDC",
          "baseToQuotePrice": 130.889201861653,
          "quoteToBasePrice": 0.00764004964333861,
          "h24UsdVolume": 720872.896000079
        }
      ]
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aleno.ai/apis/rest-v1/pools/search-pools-by-symbol-pair.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
